require_relative 'lib/od/surveys/version'

Gem::Specification.new do |spec|
  spec.name          = "od-surveys"
  spec.version       = ODSurveys::VERSION
  spec.authors       ='Onward Web Development'
  spec.email         = ['hello@onwarddev.com']

  spec.summary       = "This is a gem that allow generate survey models"
  spec.description   = "This is a gem that allow generate survey models using pre existing models. In addition, it allows generating and running the corresponding migrations"
  spec.homepage      = "https://github.com/onwarddev/od-surveys"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  #spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/onwarddev/od-surveys"
  #spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  # Dependencies 
  spec.add_dependency "thor"
  # Development dependencies
  spec.add_development_dependency "rspec", "~> 3.9"
  spec.add_development_dependency "cucumber"
  spec.add_development_dependency "aruba"
end
